* $$ JOB JNM=PDUMP01,CLASS=0,DISP=D
* $$ PRT DISP=D,CLASS=P,JSEP=1
// JOB PDUMP01 Test PDUMP macro CHAR Enhancement
// OPTION SYSPARM='NOJ1'
// OPTION LINK,LOG,XREF
// EXEC ASSEMBLY               
         TITLE 'LB - PDUMP Macro Test - Character Enhancement'
         PRINT NOGEN
* **********************************************************
*                                                          *
*  Program: PDUMPP                                         *
*                                                          *
*  Author: Larry Belmontes, Jr.                            *
*                                                          *
*  Date: 08/03/2017                                        *
*                                                          *
*  Description:  To display a storage area of 256 bytes    *
*  via PDUMP macro to demonstrate character translation.   *
*  Non-printable characters printed as PERIODS (".")       *
*                                                          *
*  Input:  None                                            *
*                                                          *
*  Output: SYSLST from PDUMP macro                         *
*                                                          *
*  Notes:                                                  *
*                                                          *
*  Change Log:                                             *
*  LBJ  mm/dd/yy  Initial version                          *
*                                                          *
* **********************************************************
* Released to the public domain.                                  *
*         
         EJECT
* -------------------------------------------------------------------
*        Addressability                              
* -------------------------------------------------------------------
*        R2      Base                                
PDUMPP   BALR  R2,0
         USING *,R2                    BaseReg  Tell assembler               
* -------------------------------------------------------------------
*        Build HEX table for PDUMP printing          
* -------------------------------------------------------------------
*        R3      Character table addr                
*        R4      Number of slots to fill             
*        R5      Hex counter                         
         LA    R3,CHARTBL
         LA    R4,256
         LA    R5,0  
FILLME   EQU   *
         STC   R5,0(R3)
         LA    R5,1(R5)
         LA    R3,1(R3)
         BCT   R4,FILLME
FILLDONE EQU   *
         EJECT
* -------------------------------------------------------------------
*        PDUMP CHARTBL                               
* -------------------------------------------------------------------
*        R3      Character table addr                
*        R4      Number of slots to fill             
*        R5      Hex counter                         
         LA    R3,CHARTBL
         LA    R4,256(R3)
         PDUMP (R3),(R4)
         EOJ   
*
* ------------------ REGISTER EQUATES ------------ *
*
         REGEQU                        REGISTER EQUATES
*
CHARTBL  DS    CL256                                                            
CHARTBLE EQU   *                                                    
*
* ------------------ LITERALS         ------------ *
*
         LTORG
         END   PDUMPP 
/*
// EXEC LNKEDT
// EXEC       
/&
* $$ EOJ
